编译PHP5.3.24遇到:checking for mysql_close in -lmysqlclient_r... no

6983 次阅读 by 九九 2013-06-09 | 标签:问题 Linux PHP

又在折腾服务器了~记录下自己编译php5.3.24的过程。执行了以下的 configure配置命令:
  ./configure \
 --prefix=/usr/local/php \
 --with-config-file-path=/usr/local/php/etc \
 --with-config-file-scan-dir=/usr/local/php/etc/conf.d \
 --enable-fpm \
 --with-fpm-user=webserver \
 --with-fpm-group=webserver \
 --with-curl \
 --with-pear \
 --with-gd \
 --with-jpeg-dir \
 --with-png-dir \
 --with-zlib \
 --with-xpm-dir \
 --with-freetype-dir \
 --with-mcrypt \
 --with-mhash \
 --with-mysql \
 --with-mysqli \
 --with-pdo-mysql \
 --with-openssl \
 --with-xmlrpc \
 --with-xsl \
 --with-bz2 \
 --with-gettext \
 --disable-debug \
 --enable-pdo \
 --enable-fpm \
 --enable-exif \
 --enable-wddx \
 --enable-zip \
 --enable-bcmath \
 --enable-calendar \
 --enable-ftp \
 --enable-mbstring \
 --enable-soap \
 --enable-sockets \
 --enable-shmop \
 --enable-dba \
 --enable-sysvsem \
 --enable-sysvshm \
 --enable-sysvmsg
遇到了如下错误:
checking for mysql_close in -lmysqlclient_r... no
checking for mysql_error in -lmysqlclient_r... no
configure: error: mysql configure failed. Please check config.log for more information.
查证、搜索后,找到一blog,讲是这样的原因:
See this bug report: http://bugs.gentoo.org/440918
If you need libmysql, apply the patch or create the symlink.
Better: Switch to mysqlnd
我也就把对于mysql, mysqli, pdo的配置选项改成了:
--with-mysql=mysqlnd  \
--with-mysqli=mysqlnd \
--with-pdo-mysql=mysqlnd \
编译通过~

评论(3)

暂无评论!


PS:多打字可以减肥哦~234字以内。支持表情:


Top